Bug 42513 - printtool creates spool directories with wrong permissions
Summary: printtool creates spool directories with wrong permissions
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printtool   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-27 23:23 UTC by Dan Anderson
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-27 23:23:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Anderson 2001-05-27 23:23:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.5 i586; en-US; 0.7) Gecko/20010316

Description of problem:
printtool creates spool directories under /var/spool/lpd/ with the
wrong permission (that is rwxr-xr-x 0755, owned by root:lp instead of
rwx------ 0700, owned by lp:lp).


How reproducible:
Always

Steps to Reproduce:
1.Start /usr/bin/printtool as root (part of package printtool)
2.Add or modify a print spool
3.Look at the file permissions of the spool just created with
  ls -l /var/spool/lpd
4. Restart the lpd daemon: /etc/init.d/lpd restart
5. Look at the file permissions again: ls -l /var/spool/lpd
	

Actual Results:  # ls -l /var/spool/lpd
drwxr-xr-x    2 root lp 1024 May 27 16:09 /var/spool/lpd/lp

# /etc/init.d/lpd restart
Stopping lpd:                                              [  OK  ]
Starting lpd: Warning - permissions of '/var/spool/lpd/lp' are 0755, not 0700
                                                           [  OK  ]

# ls -l /var/spool/lpd
drwx------    2 lp lp 1024 May 27 16:09 /var/spool/lpd/lp

Expected Results:  1. No error message from lpd
2. Permissions of the print spool directory should be: rwx------ and owned
by user lp and group lp:

# ls -l /var/spool/lpd
drwx------    2 lp lp 1024 May 27 16:09 /var/spool/lpd/lp

# /etc/init.d/lpd restart
Stopping lpd:                                              [  OK  ]
Starting lpd:                                              [  OK  ]

# ls -l /var/spool/lpd
drwx------    2 lp lp 1024 May 27 16:09 /var/spool/lpd/lp


Additional info:

Comment 1 Crutcher Dunnavant 2001-08-02 20:57:18 UTC
the printtool package has been replaced by the printconf package in 7.1


Note You need to log in before you can comment on or make changes to this bug.